export function tableSchema(ds: string): any {
  const data = [
    {
      field: '字段1',
      type: 'string',
      length: 120
    },
    {
      field: '字段2',
      type: 'string',
      length: 120
    },
    {
      field: '字段3',
      type: 'string',
      length: 120
    },
    {
      field: '字段4',
      type: 'string',
      length: 120
    },
    {
      field: '字段5',
      type: 'string',
      length: 120
    },
    {
      field: '字段6',
      type: 'int',
      length: 120
    },
    {
      field: '字段7',
      type: 'string',
      length: 120
    },
    {
      field: '字段8',
      type: 'date',
      length: 120
    }
  ];
  if (ds === 'mysql') {
    return data.slice(0, data.length - 2);
  } else {
    return data;
  }
}

export function tableNames(ds: string): string[] {
  const data = ['表1', '表2', '表3', '表4', '表5'];
  if (ds === 'mysql') {
    return data.slice(0, data.length - 2);
  } else {
    return data;
  }
}
